import { Http } from '@angular/http';
import { Observable } from 'rxjs';
import { HttpErrorResponse } from '@angular/common/http';
export declare class DataService {
    private http;
    constructor(http: Http);
    accessFormController(formControlName: string): void;
    ngGet(url: string, id?: number): any;
    ngPost(url: string, resource: any): any;
    ngPut(url: string, resource: any, id: number): Observable<any>;
    ngDelete(url: string, id: any): Observable<any>;
    handleError(error: HttpErrorResponse): Observable<never>;
}
